# To use this file, first type "makemake" and then type "make"
# (makemake is part of the JX distribution)

# user must set environment variable J_GCC_LIBS to whatever is required
# by the current version of gcc (look in /usr/local/gcc...)
# gcc 2.6.3  :  setenv J_GCC_LIBS "-lg++ -lm"
# gcc 2.7.2.1:  setenv J_GCC_LIBS "-lg++ -lstdc++ -lm"

# X is required, so set the following environment variable
# setenv J_X11_LIBS "-L/usr/X11R6/lib -lX11"

# Useful directories

USERDIR := ${shell cd ..;pwd}
MAKEDIR := ${shell pwd}
CODEDIR := ${MAKEDIR}/code
TREEDIR := ${MAKEDIR}/Tree
COREDIR := ${USERDIR}/core/jcore
JXDIR   := ${USERDIR}/core/jx
JLIBDIR := ${USERDIR}/core/lib

# these should be symbolic links to the appropriate system directories

X11HDIR := ${USERDIR}/core/X11

# Directories to search for header files

SEARCHDIRS := -I- \
              -I${CODEDIR} \
	 	      -I${TREEDIR} \
              -I${COREDIR} \
              -I${JXDIR} \
              -I${X11HDIR}

# makemake variables

LINKER       := gcc
DEPVARS      := 
DEPENDFLAGS  := -Wall -Wno-unused -fno-implicit-templates -O0 -g ${SEARCHDIRS} ${DEPVARS}
TOUCHHEADERS := ${CODEDIR}/*.h ${COREDIR}/*.h ${JXDIR}/*.h

# make variables

CC        := gcc
CFLAGS     = ${DEPENDFLAGS}

CXX       := g++
CCC       := g++
CPPFLAGS   = ${CFLAGS}

LOADLIBES := -L${JLIBDIR} -ljx -ljcore ${J_X11_LIBS} ${J_GCC_LIBS}
LDFLAGS   := -g 
#-static
