/******************************************************************************
 SyGChooseSavePrefObject.cc

	This just maintains the prefs for the help manager.

	BASE CLASS = JPrefObject

	Copyright  1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include <SyGChooseSavePrefObject.h>

#include <JXChooseSaveFile.h>

#include <jXGlobals.h>

#include <jAssert.h>

/******************************************************************************
 Constructor

 ******************************************************************************/

SyGChooseSavePrefObject::SyGChooseSavePrefObject
	(
	JPrefsManager*	prefsMgr,
	const JPrefID&	id
	)
	:
	JPrefObject(prefsMgr, id)
{
	JPrefObject::ReadPrefs();
}

/******************************************************************************
 Destructor

 ******************************************************************************/

SyGChooseSavePrefObject::~SyGChooseSavePrefObject()
{
	JPrefObject::WritePrefs();
}

/******************************************************************************
 Read/WritePrefs

 ******************************************************************************/

void
SyGChooseSavePrefObject::ReadPrefs
	(
	istream& input
	)
{
	JXGetChooseSaveFile()->ReadSetup(input);
}

void
SyGChooseSavePrefObject::WritePrefs
	(
	ostream& output
	)
	const
{
	JXGetChooseSaveFile()->WriteSetup(output);
}
