/******************************************************************************
 SyGFileTreeList.cc

	Data for a Tree Table

	BASE CLASS = JBroadcaster

 ******************************************************************************/

#include "SyGFileTreeList.h"
#include "SyGFileTreeNode.h"
#include "SyGFileTree.h"

#include <JUNIXDirEntry.h>
#include <JString.h>
#include <JRect.h>

#include <iostream.h>
#include <iomanip.h>
#include <jAssert.h>


/******************************************************************************
 Constructor

 ******************************************************************************/

SyGFileTreeList::SyGFileTreeList
	(
	SyGFileTree* tree
	)
	:
	JNamedTreeList(tree)
{
	itsFileTree = tree;	
}

/******************************************************************************
 Destructor

 ******************************************************************************/

SyGFileTreeList::~SyGFileTreeList()
{
}


/******************************************************************************
 Receive (protected)

 ******************************************************************************/

void
SyGFileTreeList::Receive
	(
	JBroadcaster*	sender,
	const Message&	message
	)
{	
	if (sender == itsFileTree && message.Is(SyGFileTree::kHiddenStatusChanged))
		{
		UpdateList();		
		}
		

	else
		{
		JNamedTreeList::Receive(sender, message);
		}		
}

/******************************************************************************
 UpdateList

 ******************************************************************************/

void
SyGFileTreeList::UpdateList()
{
	JTreeNode* tnode = itsFileTree->GetRoot();
	SyGFileTreeNode* node = dynamic_cast(SyGFileTreeNode*, tnode);
	assert(node != NULL);
	node->UpdateDir();
/*	for (JSize i = 1; i< GetElementCount(); i++)
		{
		SyGFileTreeNode* node = 
			dynamic_cast(SyGFileTreeNode*, GetNode(i));
		assert (node != NULL);
		
		JUNIXDirEntry* dirEntry = node->GetDirEntry();
		
		if (dirEntry->EntryNeedsUpdate())
			{
			dirEntry->UpdateEntry();
			}
		
		node->Update();
		}
*/
}

/******************************************************************************
 ForceListUpdate

 ******************************************************************************/

void
SyGFileTreeList::ForceListUpdate()
{
	for (JSize i = 1; i< GetElementCount(); i++)
		{
		SyGFileTreeNode* node = 
			dynamic_cast(SyGFileTreeNode*, GetNode(i));
		assert (node != NULL);

		node->UpdateDir(kTrue);		
		}
}
