/******************************************************************************
 SyGFileTreeUpdateTask.cc

	Idle task to update a directory listing.

	BASE CLASS = JXIdleTask

	Copyright  1996 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include <SyGFileTreeUpdateTask.h>
#include <SyGFileTreeTable.h>

const Time kDirUpdateDelay = 5000;	// milliseconds

/******************************************************************************
 Constructor

 ******************************************************************************/

SyGFileTreeUpdateTask::SyGFileTreeUpdateTask
	(
	SyGFileTreeTable* treeTable
	)
	:
	JXIdleTask(kDirUpdateDelay)
{
	itsTreeTable = treeTable;
}

/******************************************************************************
 Destructor

 ******************************************************************************/

SyGFileTreeUpdateTask::~SyGFileTreeUpdateTask()
{
}

/******************************************************************************
 Perform

 ******************************************************************************/

void
SyGFileTreeUpdateTask::Perform
	(
	const Time	delta,
	Time*		maxSleepTime
	)
{
	if (TimeToPerform(delta, maxSleepTime))
		{		
		itsTreeTable->UpdateDisplay();
		}
}
