/******************************************************************************
 SyGHelpPrefObject.cc

	This just maintains the prefs for the help manager.

	BASE CLASS = JPrefObject

	Copyright  1999 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include <SyGHelpPrefObject.h>

#include <JXHelpManager.h>

#include <jXGlobals.h>

#include <jAssert.h>

/******************************************************************************
 Constructor

 ******************************************************************************/

SyGHelpPrefObject::SyGHelpPrefObject
	(
	JPrefsManager*	prefsMgr,
	const JPrefID&	id
	)
	:
	JPrefObject(prefsMgr, id)
{
	JPrefObject::ReadPrefs();
}

/******************************************************************************
 Destructor

 ******************************************************************************/

SyGHelpPrefObject::~SyGHelpPrefObject()
{
	JPrefObject::WritePrefs();
}

/******************************************************************************
 Read/WritePrefs

 ******************************************************************************/

void
SyGHelpPrefObject::ReadPrefs
	(
	istream& input
	)
{
	JXGetHelpManager()->ReadSetup(input);
}

void
SyGHelpPrefObject::WritePrefs
	(
	ostream& output
	)
	const
{
	JXGetHelpManager()->WriteSetup(output);
}
