/******************************************************************************
 SyGPathInput.cc

	Input field for entering a file path.

	BASE CLASS = JXStringInput

	Copyright  1996 by Glenn W. Bach. All rights reserved.

 ******************************************************************************/

#include <SyGPathInput.h>
#include <JString.h>
#include <JXWindow.h>
#include <jASCIIConstants.h>

#include <jAssert.h>

/******************************************************************************
 Constructor

 ******************************************************************************/

SyGPathInput::SyGPathInput
	(
	JXWidget* 			widget,
	JXContainer*		enclosure,
	const HSizingOption	hSizing,
	const VSizingOption	vSizing,
	const JCoordinate	x,
	const JCoordinate	y,
	const JCoordinate	w,
	const JCoordinate	h
	)
	:
	JXPathInput(enclosure, hSizing, vSizing, x,y, w,h)
{
	itsDirList = widget;
}

/******************************************************************************
 Destructor

 ******************************************************************************/

SyGPathInput::~SyGPathInput()
{
}

/******************************************************************************
 HandleKeyPress

 ******************************************************************************/

void  
SyGPathInput::HandleKeyPress
	(
	const int key,
	const JXKeyModifiers&   modifiers
	)
{
	if (key == kJReturnKey)
		{
		JXWindow* window = GetWindow();
		window->SwitchFocusToWidget(itsDirList);
		}

	else if (key == kJEscapeKey)
		{
		SetText(itsInitialText);
		JXWindow* window = GetWindow();
		window->SwitchFocusToWidget(itsDirList);
		}

	else
		{
		JXPathInput::HandleKeyPress(key, modifiers);
		}
}

/******************************************************************************
 HandleFocusEvent

 ******************************************************************************/

void  
SyGPathInput::HandleFocusEvent()
{
	itsInitialText = GetText();
	JXPathInput::HandleFocusEvent();
}