/******************************************************************************
 SyGSelectNameTask.cc

	BASE CLASS = JXUrgentTask

	Copyright  1996 by John Lindal. All rights reserved.

 ******************************************************************************/

#include <SyGSelectNameTask.h>
#include <SyGFileTreeTable.h>

const Time kDirUpdateDelay = 1000;	// milliseconds

/******************************************************************************
 Constructor

 ******************************************************************************/

SyGSelectNameTask::SyGSelectNameTask
	(
	SyGFileTreeTable* table, 
	const JCharacter* name
	)
	:
	JXIdleTask(kDirUpdateDelay)
{
	itsTable = table;
	itsName = name;
}

/******************************************************************************
 Destructor

 ******************************************************************************/

SyGSelectNameTask::~SyGSelectNameTask()
{
}

/******************************************************************************
 Perform

 ******************************************************************************/

void
SyGSelectNameTask::Perform
	(
	const Time	delta,
	Time*		maxSleepTime
	)
{
	if (TimeToPerform(delta, maxSleepTime))
		{
		itsTable->DoSelectName(itsName);
		delete this;
		}
}
